org.eclipse.graphiti.mm.pictograms.impl

## Class DiagramImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.graphiti.mm.impl.PropertyContainerImpl
        - - org.eclipse.graphiti.mm.impl.GraphicsAlgorithmContainerImpl
          - - org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl
            - - org.eclipse.graphiti.mm.pictograms.impl.AnchorContainerImpl
              - - org.eclipse.graphiti.mm.pictograms.impl.ShapeImpl
                - - org.eclipse.graphiti.mm.pictograms.impl.ContainerShapeImpl
                  - - org.eclipse.graphiti.mm.pictograms.impl.DiagramImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GraphicsAlgorithmContainer, AnchorContainer, ContainerShape, Diagram, PictogramElement, Shape, PropertyContainer, StyleContainer

    public class DiagramImpl
    extends ContainerShapeImpl
    implements Diagram

An implementation of the model object 'Diagram'.

The following features are implemented:

- `Styles`
- `Grid Unit`
- `Diagram Type Id`
- `Connections`
- `Name`
- `Snap To Grid`
- `Show Guides`
- `Colors`
- `Fonts`
- `Pictogram Links`
- `Vertical Grid Unit`
- `Version`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
`int` `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<Color>` `getColors()`
`org.eclipse.emf.common.util.EList<Connection>` `getConnections()`
`java.lang.String` `getDiagramTypeId()`
`org.eclipse.emf.common.util.EList<Font>` `getFonts()`
`int` `getGridUnit()`
`java.lang.String` `getName()`
`org.eclipse.emf.common.util.EList<PictogramLink>` `getPictogramLinks()`
`org.eclipse.emf.common.util.EList<Style>` `getStyles()`
`java.lang.String` `getVersion()`
`int` `getVerticalGridUnit()`
`boolean` `isShowGuides()`
`boolean` `isSnapToGrid()`
`void` `setDiagramTypeId(java.lang.String newDiagramTypeId)`
`void` `setGridUnit(int newGridUnit)`
`void` `setName(java.lang.String newName)`
`void` `setShowGuides(boolean newShowGuides)`
`void` `setSnapToGrid(boolean newSnapToGrid)`
`void` `setVersion(java.lang.String newVersion)`
`void` `setVerticalGridUnit(int newVerticalGridUnit)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.ContainerShapeImpl

`getChildren`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.ShapeImpl

`basicGetContainer, basicSetContainer, eBasicRemoveFromContainerFeature, getContainer, setContainer`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.AnchorContainerImpl

`getAnchors`

### Methods inherited from class org.eclipse.graphiti.mm.pictograms.impl.PictogramElementImpl

`basicGetGraphicsAlgorithm, basicGetLink, basicSetGraphicsAlgorithm, basicSetLink, getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from class org.eclipse.graphiti.mm.impl.PropertyContainerImpl

`getProperties`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.ContainerShape

`getChildren`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.Shape

`getContainer, setContainer`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AnchorContainer

`getAnchors`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### getStyles

    public org.eclipse.emf.common.util.EList<Style> getStyles()

Specified by:
  `getStyles` in interface `StyleContainer`
Returns:
  the value of the 'Styles' containment reference list.
See Also:
  `MmPackage.getStyleContainer_Styles()`, `Style.getStyleContainer()`

#### getGridUnit

    public int getGridUnit()

Specified by:
  `getGridUnit` in interface `Diagram`
Returns:
  the value of the 'Grid Unit' attribute.
See Also:
  `Diagram.setGridUnit(int)`, `PictogramsPackage.getDiagram_GridUnit()`

#### setGridUnit

    public void setGridUnit(int newGridUnit)

Specified by:
  `setGridUnit` in interface `Diagram`
Parameters:
  `newGridUnit` - the new value of the 'Grid Unit' attribute.
See Also:
  `Diagram.getGridUnit()`

#### getDiagramTypeId

    public java.lang.String getDiagramTypeId()

Specified by:
  `getDiagramTypeId` in interface `Diagram`
Returns:
  the value of the 'Diagram Type Id' attribute.
See Also:
  `Diagram.setDiagramTypeId(String)`, `PictogramsPackage.getDiagram_DiagramTypeId()`

#### setDiagramTypeId

    public void setDiagramTypeId(java.lang.String newDiagramTypeId)

Specified by:
  `setDiagramTypeId` in interface `Diagram`
Parameters:
  `newDiagramTypeId` - the new value of the 'Diagram Type Id' attribute.
See Also:
  `Diagram.getDiagramTypeId()`

#### getConnections

    public org.eclipse.emf.common.util.EList<Connection> getConnections()

Specified by:
  `getConnections` in interface `Diagram`
Returns:
  the value of the 'Connections' containment reference list.
See Also:
  `PictogramsPackage.getDiagram_Connections()`, `Connection.getParent()`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Diagram`
Returns:
  the value of the 'Name' attribute.
See Also:
  `Diagram.setName(String)`, `PictogramsPackage.getDiagram_Name()`

#### setName

    public void setName(java.lang.String newName)

Specified by:
  `setName` in interface `Diagram`
Parameters:
  `newName` - the new value of the 'Name' attribute.
See Also:
  `Diagram.getName()`

#### isSnapToGrid

    public boolean isSnapToGrid()

Specified by:
  `isSnapToGrid` in interface `Diagram`
Returns:
  the value of the 'Snap To Grid' attribute.
See Also:
  `Diagram.setSnapToGrid(boolean)`, `PictogramsPackage.getDiagram_SnapToGrid()`

#### setSnapToGrid

    public void setSnapToGrid(boolean newSnapToGrid)

Specified by:
  `setSnapToGrid` in interface `Diagram`
Parameters:
  `newSnapToGrid` - the new value of the 'Snap To Grid' attribute.
See Also:
  `Diagram.isSnapToGrid()`

#### isShowGuides

    public boolean isShowGuides()

#### setShowGuides

    public void setShowGuides(boolean newShowGuides)

#### getColors

    public org.eclipse.emf.common.util.EList<Color> getColors()

Specified by:
  `getColors` in interface `Diagram`
Returns:
  the value of the 'Colors' containment reference list.
See Also:
  `PictogramsPackage.getDiagram_Colors()`

#### getFonts

    public org.eclipse.emf.common.util.EList<Font> getFonts()

Specified by:
  `getFonts` in interface `Diagram`
Returns:
  the value of the 'Fonts' containment reference list.
See Also:
  `PictogramsPackage.getDiagram_Fonts()`

#### getPictogramLinks

    public org.eclipse.emf.common.util.EList<PictogramLink> getPictogramLinks()

Specified by:
  `getPictogramLinks` in interface `Diagram`
Returns:
  the value of the 'Pictogram Links' reference list.
See Also:
  `PictogramsPackage.getDiagram_PictogramLinks()`

#### getVerticalGridUnit

    public int getVerticalGridUnit()

Specified by:
  `getVerticalGridUnit` in interface `Diagram`
Returns:
  the value of the 'Vertical Grid Unit' attribute.
See Also:
  `Diagram.setVerticalGridUnit(int)`, `PictogramsPackage.getDiagram_VerticalGridUnit()`

#### setVerticalGridUnit

    public void setVerticalGridUnit(int newVerticalGridUnit)

Specified by:
  `setVerticalGridUnit` in interface `Diagram`
Parameters:
  `newVerticalGridUnit` - the new value of the 'Vertical Grid Unit' attribute.
See Also:
  `Diagram.getVerticalGridUnit()`

#### getVersion

    public java.lang.String getVersion()

Specified by:
  `getVersion` in interface `Diagram`
Returns:
  the value of the 'Version' attribute.
See Also:
  `PictogramsPackage.getDiagram_Version()`

#### setVersion

    public void setVersion(java.lang.String newVersion)

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `ContainerShapeImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ContainerShapeImpl`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ContainerShapeImpl`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ContainerShapeImpl`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ContainerShapeImpl`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ContainerShapeImpl`

#### eBaseStructuralFeatureID

    public int eBaseStructuralFeatureID(int derivedFeatureID,
                                        java.lang.Class<?> baseClass)

Specified by:
  `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eDerivedStructuralFeatureID

    public int eDerivedStructuralFeatureID(int baseFeatureID,
                                           java.lang.Class<?> baseClass)

Specified by:
  `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `PictogramElementImpl`